Delete an attribute by code
curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/order/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"type": "BOOLEAN",
"required": true
}{
"message": "Bad Request"
}{
"message": "Not found"
}{
"message": "Internal Server Error"
}Order Attribute
Delete an attribute by code
Deletes a specific attribute by code
DELETE
/
order
/
attribute
/
{code}
Delete an attribute by code
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Was this page helpful?
